Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.domain
Class Raw

    java.lang.Object
      |
      +--oracle.sql.Datum
            |
            +--oracle.sql.RAW
                  |
                  +--oracle.jbo.domain.Raw

public class Raw
extends oracle.sql.RAW
implements DomainInterface, KeyAttributeInterface, oracle.sql.CustomDatum, java.io.Serializable

This class provides a lightweight wrapper for `oracle.sql.Raw`, the Java representation of the RAW database type. This wrapper allows an instance of the `oracle.sql.Raw` to be used as an immutable Domain object.

The intent of many of the methods in this class is to wrap the corresponding method in the `oracle.sql` class such that it returns an instance of an `oracle.jbo.domain.*` object.

`Raw` objects consist of data (a byte array) and a Domain type code.

The `oracle.jbo.domain.Raw` class is the Java representation of the underlying database type that you must use if you want to exploit the domain feature of Business Components for Java.

Since:
  JDeveloper 3.0
See Also:
  Serialized Form

Constructor Summary
`Raw()` Creates a default `Raw` Domain object.
`Raw(byte[] value)` Internal: Applications should not invoke this constructor.
`Raw(java.lang.Object value)` Creates a `Raw` Domain object from a Java `Object`.
`Raw(Raw value)` Creates a `Raw` object identical to an existing `Raw` object.
`Raw(oracle.sql.RAW value)` Creates a `Raw` Domain object encapsulating an SQL `RAW` object.
`Raw(java.lang.String value)` Creates a `Raw` Domain object from a Java `String`.

Method Summary
`boolean` | `equals(java.lang.Object other)` Tests `this` for equality with another object.
`static oracle.sql.CustomDatumFactory` | `getCustomDatumFactory()` Internal: Applications should not invoke this method.
`java.lang.Object` | `getData()` Internal: Applications should not invoke this method. Converts `this` to a JDBC object.
`static XMLDomainFactory` | `getXMLDomainFactory(java.lang.Class attrClass)` Internal: Applications should not use this method.
`int` | `hashCode()` Computes a hash code for `this`.
`void` | `setContext(DomainOwnerInterface owner, Transaction trans, java.lang.Object ctx)` Internal: Applications should not invoke this method.
`oracle.sql.Datum` | `toDatum(oracle.jdbc.driver.OracleConnection conn)` Internal: Applications should not invoke this method.
`java.lang.String` | `toString()` For testing purposes only: converts `this` to a character string.

Methods inherited from class oracle.sql.RAW
`asciiStreamValue, binaryStreamValue, characterStreamValue, isConvertibleTo, makeJdbcArray, stringValue, toJdbc`

Methods inherited from class oracle.sql.Datum
`bigDecimalValue, booleanValue, byteValue, compareBytes, dateValue, doubleValue, floatValue, getBytes, getLength, getStream, intValue, longValue, setBytes, setShareBytes, shareBytes, timestampValue, timeValue`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Raw

    public Raw()

  Creates a default `Raw` Domain object.

  This constructor does not create a null object. To create a null object, use the `NullValue` object to indicate null.

### Raw

    public Raw(Raw value)
        throws java.sql.SQLException

  Creates a `Raw` object identical to an existing `Raw` object.
  Parameters:
    `value` - a `Raw` Domain object.
  Throws:
    java.sql.SQLException - never.

### Raw

    public Raw(oracle.sql.RAW value)
        throws java.sql.SQLException

  Creates a `Raw` Domain object encapsulating an SQL `RAW` object.
  Parameters:
    `value` - a `RAW` SQL object.
  Throws:
    java.sql.SQLException - never.

### Raw

    public Raw(byte[] value)

  Internal: Applications should not invoke this constructor.

  Creates a `Raw` Domain object from the given byte array.

  Parameters:
    `value` - a value returned by a previous call to `getBytes()` on an SQL object compatable with `Raw`.

### Raw

    public Raw(java.lang.String value)
        throws java.sql.SQLException

  Creates a `Raw` Domain object from a Java `String`.
  Parameters:
    `value` - a textual representation of a `Raw` object.
  Throws:
    `SQLException` - if the representation is invalid.

### Raw

    public Raw(java.lang.Object value)
        throws java.sql.SQLException

  Creates a `Raw` Domain object from a Java `Object`.

  The `Object` must be an instance of `byte[]`, which becomes the body of the `Raw` object, or an instance of `String`, which is first converted into a byte array.

  Parameters:
    `value` - an arbitrary `Object`.
  Throws:
    java.sql.SQLException - if the object is not an instance of `byte[]` or `String`.

Method Detail

### getCustomDatumFactory

    public static oracle.sql.CustomDatumFactory getCustomDatumFactory()

  Internal: Applications should not invoke this method.

  Initializes the `Raw` Domain. This method is invoked when Business Components for Java is initialized.

  Returns:
    the `CustomDatumFactory` for the `Raw` Domain.

### toDatum

    public oracle.sql.Datum toDatum(oracle.jdbc.driver.OracleConnection conn)
                             throws java.sql.SQLException

  Internal: Applications should not invoke this method.

  Converts this `Raw` Domain object back into an SQL `RAW` object.

  Specified by:
    toDatum in interface oracle.sql.CustomDatum
  Parameters:
    ``conn`` - Not used.
  Returns:
    A `Datum` containing `RAW` object.
  Throws:
    `SQLException` - Never.

### getData

    public java.lang.Object getData()

  Internal: Applications should not invoke this method. Converts `this` to a JDBC object.
  Specified by:
    getData in interface DomainInterface
  Returns:
    the internal byte array of `this` as a JBDC object.

### setContext

    public void setContext(DomainOwnerInterface owner,
                           Transaction trans,
                           java.lang.Object ctx)

  Internal: Applications should not invoke this method.
  Specified by:
    setContext in interface DomainInterface

### toString

    public java.lang.String toString()

  For testing purposes only: converts `this` to a character string.
  Overrides:
    toString in class java.lang.Object

### equals

    public boolean equals(java.lang.Object other)

  Tests `this` for equality with another object.

  The argument is converted to a `Raw` object, if necessary.

  Overrides:
    equals in class oracle.sql.Datum
  Parameters:
    `other` - an arbitrary `Object`.
  Returns:
    `true` if conversion was successful and the converted argument is identical to `this`.

### hashCode

    public int hashCode()

  Computes a hash code for `this`.
  Overrides:
    hashCode in class java.lang.Object
  Returns:
    the hash code of `this`.

### getXMLDomainFactory

    public static XMLDomainFactory getXMLDomainFactory(java.lang.Class attrClass)

  Internal: Applications should not use this method.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD